//
// Created by wangchangshui on 2020-02-06.
//

#include "bcesdk/bos/sts_response/assume_role_response.h"
#include <json/json.h>

BEGIN_CPPSDK_NAMESPACE

int AssumeRoleResponse::deserialize(Json::Value &root) {
    _accessKeyId = root["accessKeyId"].asString();
    _expiration = root["expiration"].asString();
    _secretAccessKey = root["secretAccessKey"].asString();
    _createTime = root["createTime"].asString();
    _sessionToken = root["sessionToken"].asString();
    _userId = root["userId"].asString();
    _roleId = root["roleId"].asString();
    return RET_OK;
}

END_CPPSDK_NAMESPACE